<form [formGroup]="searchForm" (ngSubmit)="onSubmit()" class="md:pl-8 md:pr-8">
  <div class="card flex flex-wrap gap-3 p-fluid">
    <div class="flex-auto">
      <div class="field grid">
        <label for="startDate" class="col-3">Fecha inicial: </label>
        <p-calendar id="startDate" class="col-8" formControlName="startDate"></p-calendar>
      </div>
      <div *ngIf="isStartDateRequiredError()" class="p-error">
        Fecha inicial es requerida.
      </div>
      <div *ngIf="isStartDateRangeError()" class="p-error">
       Fecha inicial debe ser menor o igual que Fecha final
      </div>
    </div>
    <div class="flex-auto">
      <div class="field grid">
        <label for="endDate" class="col-3">Fecha final: </label>
        <p-calendar id="endDate" class="col-8" formControlName="endDate" ></p-calendar>
      </div>
      <div *ngIf="isEndDateRequiredError()" class="p-error">
       Fecha Final es requerida.
      </div>
    </div>
    <div class="flex-auto">
      <button pButton type="submit" label="Cargar" [disabled]="!searchForm.valid || loading || isStartDateRangeError()">
        <i *ngIf="loading" class="pi pi-spin pi-spinner"></i>
      </button>
    </div>
  </div>
  <p-toast position="bottom-right"></p-toast>
</form>
